<template>
  <div class="Article">
    <template v-if="ArticleIsShowAdd">
      <div class="head-title">
        文章列表
        <el-button @click="ArticleIsShowAdd=false" style="float:right;margin-top: -5px;" size="small" type="primary">
          添加文章
        </el-button>
      </div>
      <div class="content">
        <div>
          <div class="searchInput">
            <el-input style="display:inline-block;width:225px;height:30px" placeholder="请输入搜索内容" v-model="msg.Title"
              size="small" clearable @keyup.enter.native="msg.pageIndex=1,getList()">
            </el-input>
            <span class="el-icon-search" style="color:#979dad;font-size:14px;position:relative;top:1px"
              @click="msg.pageIndex=1,getList()"> </span>
          </div>
        </div>
        <el-table :data="dataList" v-loading="loading" border style="width: 100%;margin:20px 0">
          <el-table-column prop="Id" label="ID" width="150">
          </el-table-column>
          <el-table-column prop="Title" label="标题" width="829">
          </el-table-column>
          <el-table-column prop="SortNum" label="排序" width="250">
          </el-table-column>
          <el-table-column prop="IsDisable" label="状态" width="150">
            <template slot-scope="scope">
              <el-switch v-model="scope.row.IsDisable" active-color="#409EFF" :active-value="1" :inactive-value="0"
                @change="updateIsDisable(scope.row)">
              </el-switch>
            </template>
          </el-table-column>
          <el-table-column label="操作">
            <template slot-scope="scope">
              <img @click="EditArticle(scope.row)" class="operatImg" src="../../assets/img/userman/edit.png" alt="">
              <img @click="RemoveArticle(scope.row)" class="operatImg" src="../../assets/img/userman/del.png" alt="">
            </template>
          </el-table-column>
        </el-table>
        <el-pagination style="text-align:right" background @current-change="handleCurrentChange"
          :page-size="msg.pageSize" layout="prev, pager, next" :total="total">
        </el-pagination>
      </div>
    </template>
    <template v-else>
      <div class="head-title">
        <span @click="ArticleIsShowAdd=true" style="color:rgb(64, 158, 255);cursor:pointer;">文章</span><span
          style="margin:0 9px;color:#C0C4CC">/</span><span>文章编辑</span>
      </div>
      <div class="content">
        <div class="Article_condiv">
          <el-form :model="addMsg" :rules="rules" ref="addMsg" label-width="100px" style="padding:0 20px;">
            <el-form-item label="标题" prop="title">
              <el-input v-model="addMsg.Title" size="small" placeholder="请输入名称" maxlength="100" />
            </el-form-item>
            <el-form-item label="排序">
              <el-input type="text" v-model="addMsg.SortNum" @keyup.native="checkInteger(addMsg,'SortNum')" size="small"
                placeholder="请输入排序" maxlength="4" />
            </el-form-item>
            <el-form-item label="状态">
              <el-switch v-model="addMsg.IsDisable" active-color="#409EFF" :active-value="1" :inactive-value="0">
              </el-switch>
            </el-form-item>
            <el-form-item label="内容">
              <div style="line-height:normal;">
                <UE :defaultMsg="addMsg.Content" :config="config" ref="ue" @input="input"></UE>
              </div>
            </el-form-item>
          </el-form>
        </div>
      </div>
      <el-button size="small" style="margin-top:20px;padding:9px 25px;" type="primary" @click="submitform('addMsg')">保存
      </el-button>
    </template>
  </div>
</template>
<script>
  import UE from '@/components/global/UE.vue'
  export default {
    data() {
      return {
        //是否线下链接弹窗
        loading: false,
        dataList: [{
          id: 123,
          title: '标题',
          sort: 1,
          status: 0
        }],
        msg: {
          pageIndex: 1,
          pageSize: 15,
          Title: ""
        },
        total: 0,
        ArticleIsShowAdd: true,
        addMsg: {
          Id: 0, //文章编号
          Title: '', //标题
          SortNum: 0, //排序
          IsDisable: 0, //禁用状态(0-禁用,1-启用)
          Content: '' // 内容
        },
        rules: {
          Title: [{
            required: true,
            message: '标题不能为空',
            trigger: 'change'
          }],
        },
        config: {
          initialFrameWidth: null,
          initialFrameHeight: 350,
        },
      };
    },
    components: {
      UE
    },
    created() {

    },
    methods: {
      handleCurrentChange(val) {
        this.msg.pageIndex = val;
        this.getList();
      },
      getList() {
        this.apipost("/api/MContent/GetArticlePageList", this.msg, res => {
          if (res.data.resultCode == 1) {
            this.dataList = res.data.data.pageData;
            this.total = res.data.data.count;
          } else {
            this.Info(res.data.message);
          }
        })
      },
      submitform(addMsg) {
        //提交创建、修改表单
        this.$refs[addMsg].validate(valid => {
          if (valid) {
            this.saveMsg();
          } else {
            return false;
          }
        });
      },
      //清空数据
      clearMsg() {
        this.addMsg.Id = 0;
        this.addMsg.Title = '';
        this.addMsg.SortNum = 0;
        this.addMsg.IsDisable = 0;
        this.addMsg.Content = '';
      },
      //保存
      saveMsg() {
        this.apipost("/api/MContent/SetArticle", this.addMsg, res => {
          if (res.data.resultCode == 1) {
            this.ArticleIsShowAdd = true;
            this.getList();
            this.clearMsg();
            this.Success(res.data.message);
          } else {
            this.Info(res.data.message);
          }
        })
      },
      //修改
      EditArticle(item) {
        this.apipost("/api/MContent/GetArticle", {
          Id: item.Id
        }, res => {
          if (res.data.resultCode == 1) {
            var jsonData = res.data.data;
            this.addMsg.Id = jsonData.Id;
            this.addMsg.Title = jsonData.Title;
            this.addMsg.SortNum = jsonData.SortNum;
            this.addMsg.IsDisable = jsonData.IsDisable;
            this.addMsg.Content = jsonData.Content
          } else {
            this.Info(res.data.message);
          }
        })
      },
      //删除
      RemoveArticle(item) {
        var that = this;
        that.Confirm("是否要删除?", function () {
          that.apipost("/api/MContent/RemoveArticle", {
            Id: item.Id
          }, res => {
            if (res.data.resultCode == 1) {
              that.getList();
            } else {
              that.Info(res.data.message);
            }
          })
        })
      },
      //更新状态
      updateIsDisable(item) {
        this.apipost("/api/MContent/UpdateArticleStatus", {
          Id: item.Id,
          IsDisable: item.IsDisable
        }, res => {
          if (res.data.resultCode == 1) {
            this.ArticleIsShowAdd = true;
            this.getList();
            this.Success(res.data.message);
          } else {
            this.Info(res.data.message);
          }
        })
      },
      input(obj) {
        this.addMsg.Content = obj;
      },
    },
    mounted() {
      this.getList();
    }
  };

</script>
<style>
  .Article .content .searchInput {
    border: 1px solid #DCDFE6;
    border-radius: 4px;
  }

  .Article .content .searchInput .el-input__inner {
    border: none;
    outline: none;
    height: 30px;
    line-height: 30px;
  }

  .Article .content .searchInput {
    line-height: normal;
    display: inline-table;
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    width: 250px;
    margin-right: 20px;
  }

  .Article .content {
    background: #fff;
    margin-top: 10px;
    padding: 20px;
    box-sizing: border-box;
  }

  .Article .operatImg {
    width: 32px;
    height: 32px;
    margin: 0 10px
  }

  .Article .Article_condiv {
    padding: 20px 0;
    background-color: #fff;
    margin-bottom: 20px;
    padding-right: 50%;
  }

</style>
